Subject: Re: requirements comments

From: Alper Yegin <[email-masked]>
Date: Mon, 12 May 2003 16:57:40 -0700

Hi Derek,

>>> Abstract
>>> 
>>> You do realize that PPP uses EAP, which is also the basis for
>>> 802.1x?  That means that the authentication method (EAP)
>>> is already agnostic to the link layer in use.  This implies
>>> that your basic assumption about the problem is flawed.  Could
>>> you please explain how PANA is different?
>> 
>> You are right that EAP is link-layer agnostic. But there needs to be a
>> transport for EAP to be used on a network. The current EAP transports are
>> link-layer specific. PANA is developing a link-layer agnostic transport for
>> EAP.
> 
> I'm sure this has been discussed before, and I appologize for
> bringing it up yet again, but could you please enumerate the

Please see the Problem Statement and Usage Scenarios draft.
These questions are not in the scope of the requirements draft.
The examples you gave below are valid. Few of these examples, such as DSL
and cdma2000, can be found in the aforementioned draft.

Alper

> access networks where this would actually be useful?  I can
> think of:
> 
>       Ethernet, WiFi  both are 802 networks and support 802.1x
>       Dialup/PPP      already has EAP support
>       PPPoE           again, supports EAP or 802.1x
> 
> I think this covers the vast majority of current technologies.  So,
> most of the network technolgoies already support EAP or 802.1x.  So
> what else is in use?
> 
>       Bluetooth       I admit that I don't know what access technology
>                       Bluetooth has, so perhaps PANA is useful here.
>       Cellular        This already has an acceess technology,
>                       although I admit that it doesn't necessarily use
>                       EAP.  So maybe PANA is useful here.
>       ATM?            I don't think this is really is used as
>                       an access type.  I suppose some DSL devices
>                       use ATM at a low layer, but I've never really
>                       seen ATM used to an end node.
>       SONET?          Again, this is a core network technology, not
>                       one for end users.
>       FDDI?           I have seen FDDI to the workstation, but I've never
>                       seen it used for mobile hosts, only fixed workstations.
> 
> So, perhaps a PANA protocol would be useful for bluetooth or cellular
> networks.  Are there other network technologies in use here?
> 
> In particular could you provide some real examples of situations where
> PANA would be useful and the underlying technology does not already
> have a way to carry EAP frames?  These real-world examples should make
> it into the draft.
> 
> [snip]
>> This is covered more on the Problem Statement and Usage Scenarios draft
>> draft-ietf-pana-usage-scenarios-06.txt which we referenced from this
>> requirements draft.
> 
> Thanks, I'll go take a look at this document.  I admittedly didn't
> follow the references.
> 
> -derek